Bug 55234 - Working of attribute "protocol" attribute "protocol" the <Listen> directive
Summary: Working of attribute "protocol" attribute "protocol" the <Listen> directive
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mpm_prefork (show other bugs)
Version: 2.2.22
Hardware: PC Linux
: P2 major (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2013-07-10 20:00 UTC by maxarturo
Modified: 2018-11-07 21:08 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description maxarturo 2013-07-10 20:00:12 UTC
Interested in how it should respond directive <Listen>, given the attribute "protocol". 
If to trust documentation Apahce, this attribute is required, for example, to specify the use of SSL on a non-standard port. The problem is that setting this parameter has no effect. 
I try to do the following: set "Listen 81 https" + off SSL (SSLEngine Off) + turn to host [***.**:81...] = all working well, but in the idea of "&#8203;&#8203;protocol" attribute directive <Listen>, should not work. 
The converse is also true: set "Listen 81 http" + on SSL (SSLEngine On) + turn to host https://***.**:81 = all working well, but in the idea should not work. Thus, as I understand it, it turns out that the server does not process the attribute "protocol". 
And how should the server to respond to the "protocol" attribute directive <Listen>? How to use this attribute?
Comment 1 Eric Covener 2013-07-10 20:30:38 UTC
Changing component to Documentation, it should be more clear when it's necessary and what it does.
Comment 2 maxarturo 2013-07-10 20:32:24 UTC
I learned everything that is written in the documentation about the directive <Listen> and its attribute "protocol." It does not solve the problem.
Comment 3 maxarturo 2013-07-10 20:33:43 UTC
I'm talking about the fact that my daemon does not respond to the parameter "protocol".
Comment 4 Eric Covener 2013-07-10 21:23:38 UTC
(In reply to maxarturo from comment #3)
> I'm talking about the fact that my daemon does not respond to the parameter
> "protocol".

respond how?
Comment 5 maxarturo 2013-07-10 21:37:15 UTC
I described "how" in the description of the bug - see paragraphs 3 (I try ...) and 4 (The converse ...).
Comment 6 Eric Covener 2013-07-10 22:17:42 UTC
The initial comment cannot be parsed. If you think there's a bug, please elaborate.
Comment 7 maxarturo 2013-07-10 22:27:09 UTC
You've been very helpful to provide complete information about the existance of the problem, if prompted, what should be the reaction of the server to access it on a non-standard port (not 443) with enabled SSL (SSLEngine On) and set parameter "protocol" (Listen *:81 https) via http (http://***.**:81)?
Comment 8 maxarturo 2013-07-10 22:33:48 UTC
P.S. I think that if the port is set specifically protkol (eg, https), the daemon is not to accept connections on this port that do not use it (eg, https) protocol. But my experience shows that it is not - the server receives and processes all requests by any protocols regardless of the setting of the parameter "protocol" guidelines <Listen>.
Comment 9 Eric Covener 2013-07-10 22:38:26 UTC
That's not the purpose.  The doc could clarify it.
Comment 10 maxarturo 2013-07-11 05:27:18 UTC
(In reply to Eric Covener from comment #9)
> That's not the purpose.  The doc could clarify it.

I'm sorry, but in what line documentation (see http://httpd.apache.org/docs/2.2/mod/mpm_common.html # listen) is written about how daemon should react?
Comment 11 William A. Rowe Jr. 2018-11-07 21:08:31 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.